> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.0x.org/llms.txt.
> For full documentation content, see https://docs.0x.org/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.0x.org/_mcp/server.

# getQuotes

GET https://api.0x.org/cross-chain/quotes

Get the quotes for a cross chain swap

Reference: https://docs.0x.org/api-reference/cross-chain-ap-is/cross-chain/cross-chain-get-quotes

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: cross-chain
  version: 1.0.0
paths:
  /cross-chain/quotes:
    get:
      operationId: cross-chain-get-quotes
      summary: getQuotes
      description: Get the quotes for a cross chain swap
      tags:
        - subpackage_crossChain
      parameters:
        - name: originChain
          in: query
          description: >-
            The source chain from which the cross-chain swap will originate. Can
            be specified as chain ID or name. See
            [here](https://0x-docs.gitbook.io/0x-cross-chain-api-beta/developer-resources/supported-chains-and-providers)
            for the list of supported chains
          required: true
          schema:
            type: string
        - name: destinationChain
          in: query
          description: >-
            The destination chain where tokens will be received after the
            cross-chain swap. Can be specified as chain ID or name. See
            [here](https://0x-docs.gitbook.io/0x-cross-chain-api-beta/developer-resources/supported-chains-and-providers)
            for the list of supported chains
          required: true
          schema:
            type: string
        - name: sellToken
          in: query
          description: >-
            The contract address of the token to sell on the origin chain.
            Format varies by chain type (EVM address for EVM/HyperCore chains,
            token mint address for Solana, base58check address for Tron)
          required: true
          schema:
            type: string
        - name: buyToken
          in: query
          description: >-
            The contract address of the token to buy on the destination chain.
            Format varies by chain type (EVM address for EVM/HyperCore chains,
            token mint address for Solana, base58check address for Tron)
          required: true
          schema:
            type: string
        - name: sellAmount
          in: query
          description: >-
            The amount of `sellToken` (in `sellToken`'s base units) to sell on
            the origin chain
          required: true
          schema:
            type: string
        - name: originAddress
          in: query
          description: >-
            The wallet address on the origin chain that holds the sellToken
            balance and will initiate the cross-chain transaction
          required: true
          schema:
            type: string
        - name: destinationAddress
          in: query
          description: >-
            The wallet address on the destination chain that will receive the
            buyToken. If not specified, defaults to originAddress on the
            destination chain
          required: false
          schema:
            type: string
        - name: gasPayer
          in: query
          description: >-
            The Solana address that will pay for transaction fees when the
            origin chain is Solana. Only applicable for Solana origin chains
          required: false
          schema:
            type: string
        - name: slippageBps
          in: query
          description: >-
            The maximum acceptable slippage for each swap or bridge step of the
            cross-chain swap in basis points (100 = 1%)
          required: false
          schema:
            type: integer
            default: 100
        - name: excludedBridges
          in: query
          description: Comma-separated list of bridge providers to exclude from routing
          required: false
          schema:
            type: string
        - name: includedBridges
          in: query
          description: >-
            Comma-separated list of bridge providers to include in routing.
            Mutually exclusive with excludedBridges
          required: false
          schema:
            type: string
        - name: excludedSwapSources
          in: query
          description: >-
            Comma-separated list of DEX sources to exclude from routing on both
            chains
          required: false
          schema:
            type: string
        - name: feeBps
          in: query
          description: >-
            The trading fee amounts in basis points to charge on the origin
            chain (supports single or comma-separated values). Must be used
            together with feeRecipient. When multiple values are provided, must
            match the length of feeRecipient. Note: integrator fee collection is
            not yet supported for Tron-originated routes.
          required: false
          schema:
            type: string
            default: ''
        - name: feeRecipient
          in: query
          description: >-
            The wallet addresses to receive trading fees on the origin chain
            (supports single or comma-separated values). Must be used together
            with feeBps. When multiple values are provided, must match the
            length of feeBps. Note: integrator fee collection is not yet
            supported for Tron-originated routes.
          required: false
          schema:
            type: string
            default: ''
        - name: feeToken
          in: query
          description: >-
            The token addresses for fee collection on the origin chain (supports
            single or comma-separated values). Must be the same as sellToken.
            When multiple values are provided, must match the length of feeBps.
            If omitted, defaults to sellToken. Note: integrator fee collection
            is not yet supported for Tron-originated routes.
          required: false
          schema:
            type: string
            default: ''
        - name: sortQuotesBy
          in: query
          description: >-
            How to sort the returned quotes - either by speed (fastest execution
            time) or price (best exchange rate)
          required: true
          schema:
            $ref: '#/components/schemas/CrossChainQuotesGetParametersSortQuotesBy'
        - name: maxNumQuotes
          in: query
          description: >-
            The maximum number of cross-chain quotes to return, between 1 and
            10. Each quote represents a different combination of bridges and
            DEXs
          required: false
          schema:
            type: integer
            default: 3
        - name: 0x-api-key
          in: header
          description: Visit dashboard.0x.org to get your API Key
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Cross-Chain_crossChain::getQuotes_Response_200
        '400':
          description: 400 error response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CrossChain::getQuotesRequestBadRequestError
        '500':
          description: 500 error response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CrossChain::getQuotesRequestInternalServerError
servers:
  - url: https://api.0x.org
components:
  schemas:
    CrossChainQuotesGetParametersSortQuotesBy:
      type: string
      enum:
        - speed
        - price
      title: CrossChainQuotesGetParametersSortQuotesBy
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0AllowanceTarget:
      oneOf:
        - type: string
        - type: string
        - type: string
        - type: string
      description: The contract address to set the allowance on, if necessary
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0AllowanceTarget
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0SellToken:
      oneOf:
        - type: string
        - type: string
        - type: string
        - type: string
      description: The contract address of the token being sold on the origin chain
      title: CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0SellToken
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0BuyToken:
      oneOf:
        - type: string
        - type: string
        - type: string
        - type: string
      description: The contract address of the token being bought on the destination chain
      title: CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0BuyToken
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0IssuesAllowanceSpender:
      oneOf:
        - type: string
        - type: string
        - type: string
        - type: string
      description: The address to set the allowance on
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0IssuesAllowanceSpender
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0IssuesAllowance:
      type: object
      properties:
        actual:
          type: string
          format: int64
          description: The `originAddress`'s current allowance of the `spender`
        spender:
          $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0IssuesAllowanceSpender
          description: The address to set the allowance on
      required:
        - actual
        - spender
      description: >-
        The allowances that the `originAddress` must set in order to execute the
        swap successfully. Null if no allowance is required
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0IssuesAllowance
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0IssuesBalanceToken:
      oneOf:
        - type: string
        - type: string
        - type: string
        - type: string
      description: The contract address of the `sellToken`
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0IssuesBalanceToken
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0IssuesBalance:
      type: object
      properties:
        token:
          $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0IssuesBalanceToken
          description: The contract address of the `sellToken`
        actual:
          type: string
          format: int64
          description: >-
            The current balance of the `sellToken` in the `originAddress`
            address
        expected:
          type: string
          format: int64
          description: >-
            The balance of `sellToken` required for the swap to execute
            successfully
      required:
        - token
        - actual
        - expected
      description: >-
        The balance of `sellToken` that the `originAddress` must hold. Null if
        the `originAddress` has sufficient balance
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0IssuesBalance
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0Issues:
      type: object
      properties:
        allowance:
          oneOf:
            - $ref: >-
                #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0IssuesAllowance
            - type: 'null'
          description: >-
            The allowances that the `originAddress` must set in order to execute
            the swap successfully. Null if no allowance is required
        balance:
          oneOf:
            - $ref: >-
                #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0IssuesBalance
            - type: 'null'
          description: >-
            The balance of `sellToken` that the `originAddress` must hold. Null
            if the `originAddress` has sufficient balance
        simulationIncomplete:
          type: boolean
          description: >-
            This is set to `true` when 0x cannot validate the transaction. This
            happens when the `originAddress` has an insufficient balance of
            `sellToken` and 0x is unable to perform enhanced quote validation
            with such low balance. Note that this does not necessarily mean that
            the trade will revert
        invalidSwapSourcesPassed:
          type: array
          items:
            type: string
          description: >-
            List of invalid swap sources specified in the `excludedSwapSources`
            parameter
        invalidBridgesPassed:
          type: array
          items:
            type: string
          description: >-
            List of invalid bridge providers specified in the `excludedBridges`
            or `includedBridges` parameter
      required:
        - allowance
        - balance
        - simulationIncomplete
        - invalidSwapSourcesPassed
        - invalidBridgesPassed
      title: CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0Issues
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesIntegratorFeeToken:
      oneOf:
        - type: string
        - type: string
      description: >-
        The contract address of the token in which the integrator collected a
        fee
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesIntegratorFeeToken
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesIntegratorFeeType:
      type: string
      enum:
        - volume
      description: The fee type indicating it is calculated as a percentage of trade volume
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesIntegratorFeeType
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesIntegratorFee:
      type: object
      properties:
        amount:
          type: string
          format: int64
          description: The amount of the integrator fee in token's base units
        token:
          $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesIntegratorFeeToken
          description: >-
            The contract address of the token in which the integrator collected
            a fee
        type:
          $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesIntegratorFeeType
          description: >-
            The fee type indicating it is calculated as a percentage of trade
            volume
        chainId:
          type: number
          format: double
          description: The chain ID where this fee will be collected
      required:
        - amount
        - token
        - type
      description: The details about the first fee collected by the integrator
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesIntegratorFee
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesIntegratorFeesItemsToken:
      oneOf:
        - type: string
        - type: string
      description: >-
        The contract address of the token in which the integrator collected a
        fee
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesIntegratorFeesItemsToken
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesIntegratorFeesItemsType:
      type: string
      enum:
        - volume
      description: The fee type indicating it is calculated as a percentage of trade volume
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesIntegratorFeesItemsType
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesIntegratorFeesItems:
      type: object
      properties:
        amount:
          type: string
          format: int64
          description: The amount of the integrator fee in token's base units
        token:
          $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesIntegratorFeesItemsToken
          description: >-
            The contract address of the token in which the integrator collected
            a fee
        type:
          $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesIntegratorFeesItemsType
          description: >-
            The fee type indicating it is calculated as a percentage of trade
            volume
        chainId:
          type: number
          format: double
          description: The chain ID where this fee will be collected
      required:
        - amount
        - token
        - type
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesIntegratorFeesItems
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesZeroExFeeToken:
      oneOf:
        - type: string
        - type: string
      description: The contract address of the token in which 0x collected a fee
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesZeroExFeeToken
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesZeroExFeeType:
      type: string
      enum:
        - volume
      description: The fee type indicating it is calculated as a percentage of trade volume
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesZeroExFeeType
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesZeroExFee:
      type: object
      properties:
        amount:
          type: string
          format: int64
          description: The 0x fee in token's base units
        token:
          $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesZeroExFeeToken
          description: The contract address of the token in which 0x collected a fee
        type:
          $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesZeroExFeeType
          description: >-
            The fee type indicating it is calculated as a percentage of trade
            volume
      required:
        - amount
        - token
        - type
      description: The details about the fee collected by 0x
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesZeroExFee
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesBridgeNativeFeeToken:
      oneOf:
        - type: string
        - type: string
        - type: string
        - type: string
      description: The contract address of the token in which the bridge fee is collected
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesBridgeNativeFeeToken
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesBridgeNativeFeeType:
      type: string
      enum:
        - native
      description: The fee type indicating it is a native bridge fee
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesBridgeNativeFeeType
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesBridgeNativeFee:
      type: object
      properties:
        amount:
          type: string
          format: int64
          description: >-
            The bridge fee amount in token's base units that will be added to
            the transaction value
        token:
          $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesBridgeNativeFeeToken
          description: >-
            The contract address of the token in which the bridge fee is
            collected
        type:
          $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesBridgeNativeFeeType
          description: The fee type indicating it is a native bridge fee
      required:
        - amount
        - token
        - type
      description: >-
        Native fee required by the bridge provider for cross-chain message
        passing that will be added to the transaction value
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesBridgeNativeFee
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesReimbursementFeeToken:
      oneOf:
        - type: string
        - type: string
      description: >-
        The contract address of the token in which the reimbursement fee is
        collected
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesReimbursementFeeToken
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesReimbursementFee:
      type: object
      properties:
        amount:
          type: string
          format: int64
          description: The reimbursement fee amount in token's base units
        token:
          $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesReimbursementFeeToken
          description: >-
            The contract address of the token in which the reimbursement fee is
            collected
        recipient:
          type: string
          description: The wallet address that receives the reimbursement fee
      required:
        - amount
        - token
        - recipient
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesReimbursementFee
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFees:
      type: object
      properties:
        integratorFee:
          oneOf:
            - $ref: >-
                #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesIntegratorFee
            - type: 'null'
          description: The details about the first fee collected by the integrator
        integratorFees:
          type:
            - array
            - 'null'
          items:
            $ref: >-
              #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesIntegratorFeesItems
          description: The details about the fees collected by the integrator
        zeroExFee:
          oneOf:
            - $ref: >-
                #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesZeroExFee
            - type: 'null'
          description: The details about the fee collected by 0x
        bridgeNativeFee:
          oneOf:
            - $ref: >-
                #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesBridgeNativeFee
            - type: 'null'
          description: >-
            Native fee required by the bridge provider for cross-chain message
            passing that will be added to the transaction value
        reimbursementFee:
          $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFeesReimbursementFee
      required:
        - integratorFee
        - integratorFees
        - zeroExFee
        - bridgeNativeFee
      description: >-
        All fees associated with this cross-chain quote, including integrator
        fees, 0x protocol fees, and bridge native fees
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFees
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsGasCostsOneOf0ChainType:
      type: string
      enum:
        - evm
      description: The blockchain type for Ethereum-compatible chains
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsGasCostsOneOf0ChainType
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsGasCostsOneOf0GasPrice:
      type: object
      properties: {}
      description: The gas price in wei used for cost estimation
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsGasCostsOneOf0GasPrice
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsGasCostsOneOf0TotalNetworkFee:
      type: object
      properties: {}
      description: >-
        The estimated total network cost of the swap. On chains where there is
        no L1 data cost, it is calculated as `gas` * `gasPrice`. On chains where
        there is an L1 data cost, it is calculated as `gas` * `gasPrice + L1
        data`
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsGasCostsOneOf0TotalNetworkFee
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsGasCosts0:
      type: object
      properties:
        chainType:
          $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsGasCostsOneOf0ChainType
          description: The blockchain type for Ethereum-compatible chains
        gasPrice:
          oneOf:
            - $ref: >-
                #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsGasCostsOneOf0GasPrice
            - type: 'null'
          description: The gas price in wei used for cost estimation
        gasLimit:
          type: string
          format: int64
          description: The estimated gas limit required for successful execution
        totalNetworkFee:
          oneOf:
            - $ref: >-
                #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsGasCostsOneOf0TotalNetworkFee
            - type: 'null'
          description: >-
            The estimated total network cost of the swap. On chains where there
            is no L1 data cost, it is calculated as `gas` * `gasPrice`. On
            chains where there is an L1 data cost, it is calculated as `gas` *
            `gasPrice + L1 data`
      required:
        - chainType
        - gasPrice
        - gasLimit
        - totalNetworkFee
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsGasCosts0
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsGasCostsOneOf1ChainType:
      type: string
      enum:
        - svm
      description: The blockchain type for Solana Virtual Machine
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsGasCostsOneOf1ChainType
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsGasCostsOneOf1Priority:
      type: object
      properties: {}
      description: The priority fee in lamports for faster transaction processing
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsGasCostsOneOf1Priority
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsGasCosts1:
      type: object
      properties:
        chainType:
          $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsGasCostsOneOf1ChainType
          description: The blockchain type for Solana Virtual Machine
        base:
          type: string
          format: int64
          description: The base transaction fee in lamports for Solana
        priority:
          oneOf:
            - $ref: >-
                #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsGasCostsOneOf1Priority
            - type: 'null'
          description: The priority fee in lamports for faster transaction processing
        total:
          type: string
          format: int64
          description: The total fee in lamports (base + priority)
      required:
        - chainType
        - base
        - priority
        - total
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsGasCosts1
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsGasCostsOneOf2ChainType:
      type: string
      enum:
        - tvm
      description: The blockchain type for Tron Virtual Machine
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsGasCostsOneOf2ChainType
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsGasCosts2:
      type: object
      properties:
        chainType:
          $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsGasCostsOneOf2ChainType
          description: The blockchain type for Tron Virtual Machine
        energyFee:
          type: string
          format: int64
          description: The energy fee in sun for the Tron transaction
        bandwidthFee:
          type: string
          format: int64
          description: The bandwidth fee in sun for the Tron transaction
        total:
          type: string
          format: int64
          description: The total network fee in sun (energyFee + bandwidthFee)
      required:
        - chainType
        - energyFee
        - bandwidthFee
        - total
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsGasCosts2
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsGasCosts:
      oneOf:
        - $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsGasCosts0
        - $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsGasCosts1
        - $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsGasCosts2
      description: >-
        Estimated gas costs for executing the transaction on the origin chain,
        formatted by chain type
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsGasCosts
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsStepsItemsOneOf0Type:
      type: string
      enum:
        - wrap
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsStepsItemsOneOf0Type
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsStepsItems0:
      type: object
      properties:
        chainId:
          type: number
          format: double
          description: The chain ID where this step will be executed
        sellToken:
          type: string
          description: The input token address for this step
        buyToken:
          type: string
          description: The output token address for this step
        amount:
          type: string
          format: int64
          description: The amount of tokens for this step in token base units
        type:
          $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsStepsItemsOneOf0Type
      required:
        - chainId
        - sellToken
        - buyToken
        - amount
        - type
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsStepsItems0
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsStepsItemsOneOf1Type:
      type: string
      enum:
        - unwrap
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsStepsItemsOneOf1Type
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsStepsItems1:
      type: object
      properties:
        chainId:
          type: number
          format: double
          description: The chain ID where this step will be executed
        sellToken:
          type: string
          description: The input token address for this step
        buyToken:
          type: string
          description: The output token address for this step
        amount:
          type: string
          format: int64
          description: The amount of tokens for this step in token base units
        type:
          $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsStepsItemsOneOf1Type
      required:
        - chainId
        - sellToken
        - buyToken
        - amount
        - type
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsStepsItems1
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsStepsItemsOneOf2Type:
      type: string
      enum:
        - swap
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsStepsItemsOneOf2Type
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsStepsItems2:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsStepsItemsOneOf2Type
        chainId:
          type: number
          format: double
          description: The chain ID where this swap will be executed
        sellToken:
          type: string
          description: The input token address for this swap
        buyToken:
          type: string
          description: The output token address for this swap
        sellAmount:
          type: string
          format: int64
          description: The input amount for this swap in token base units
        buyAmount:
          type: string
          format: int64
          description: The output amount for this swap in token base units
        minBuyAmount:
          type: string
          format: int64
          description: The minimum output amount for this swap in token base units
        estimatedTimeSeconds:
          type:
            - integer
            - 'null'
          description: Estimated time for this swap step to complete
      required:
        - type
        - chainId
        - sellToken
        - buyToken
        - sellAmount
        - buyAmount
        - minBuyAmount
        - estimatedTimeSeconds
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsStepsItems2
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsStepsItemsOneOf3Type:
      type: string
      enum:
        - bridge
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsStepsItemsOneOf3Type
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsStepsItemsOneOf3SellToken:
      oneOf:
        - type: string
        - type: string
        - type: string
        - type: string
      description: The token address on the origin chain
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsStepsItemsOneOf3SellToken
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsStepsItemsOneOf3BuyToken:
      oneOf:
        - type: string
        - type: string
        - type: string
        - type: string
      description: The token address on the destination chain
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsStepsItemsOneOf3BuyToken
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsStepsItems3:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsStepsItemsOneOf3Type
        originChainId:
          type: number
          format: double
          description: The chain ID where tokens will be sent from
        destinationChainId:
          type: number
          format: double
          description: The chain ID where tokens will be received
        sellToken:
          $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsStepsItemsOneOf3SellToken
          description: The token address on the origin chain
        buyToken:
          $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsStepsItemsOneOf3BuyToken
          description: The token address on the destination chain
        sellAmount:
          type: string
          format: int64
          description: >-
            The amount of tokens to bridge from the origin chain in token base
            units
        buyAmount:
          type: string
          format: int64
          description: >-
            The amount of tokens to be received on the destination chain in
            token base units
        minBuyAmount:
          type: string
          format: int64
          description: >-
            The minimum amount of tokens guaranteed on the destination chain in
            token base units
        provider:
          type: string
          description: The bridge provider name handling this cross-chain transfer
        estimatedTimeSeconds:
          type:
            - integer
            - 'null'
          description: Estimated time for this bridge step to complete
      required:
        - type
        - originChainId
        - destinationChainId
        - sellToken
        - buyToken
        - sellAmount
        - buyAmount
        - minBuyAmount
        - provider
        - estimatedTimeSeconds
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsStepsItems3
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsStepsItems:
      oneOf:
        - $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsStepsItems0
        - $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsStepsItems1
        - $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsStepsItems2
        - $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsStepsItems3
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsStepsItems
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsTransactionOneOf0ChainType:
      type: string
      enum:
        - evm
      description: The blockchain type for Ethereum-compatible chains
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsTransactionOneOf0ChainType
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsTransactionOneOf0DetailsGas:
      type: object
      properties: {}
      description: The estimated gas limit required for successful transaction execution
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsTransactionOneOf0DetailsGas
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsTransactionOneOf0DetailsGasPrice:
      type: object
      properties: {}
      description: The gas price in wei for the EVM transaction
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsTransactionOneOf0DetailsGasPrice
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsTransactionOneOf0Details:
      type: object
      properties:
        to:
          type: string
          description: The contract address to send the transaction to on the EVM chain
        data:
          type: string
          description: The calldata containing execution details for the EVM transaction
        gas:
          oneOf:
            - $ref: >-
                #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsTransactionOneOf0DetailsGas
            - type: 'null'
          description: >-
            The estimated gas limit required for successful transaction
            execution
        gasPrice:
          oneOf:
            - $ref: >-
                #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsTransactionOneOf0DetailsGasPrice
            - type: 'null'
          description: The gas price in wei for the EVM transaction
        value:
          type: string
          format: int64
          description: The amount of native currency in wei to send with the transaction
      required:
        - to
        - data
        - gas
        - gasPrice
        - value
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsTransactionOneOf0Details
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsTransaction0:
      type: object
      properties:
        chainType:
          $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsTransactionOneOf0ChainType
          description: The blockchain type for Ethereum-compatible chains
        details:
          $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsTransactionOneOf0Details
      required:
        - chainType
        - details
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsTransaction0
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsTransactionOneOf1ChainType:
      type: string
      enum:
        - svm
      description: The blockchain type for Solana Virtual Machine
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsTransactionOneOf1ChainType
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsTransactionOneOf1Details:
      type: object
      properties:
        serializedTransaction:
          type: string
          description: The base64-encoded serialized Solana transaction
      required:
        - serializedTransaction
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsTransactionOneOf1Details
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsTransaction1:
      type: object
      properties:
        chainType:
          $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsTransactionOneOf1ChainType
          description: The blockchain type for Solana Virtual Machine
        details:
          $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsTransactionOneOf1Details
      required:
        - chainType
        - details
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsTransaction1
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsTransactionOneOf2ChainType:
      type: string
      enum:
        - tvm
      description: The blockchain type for Tron Virtual Machine
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsTransactionOneOf2ChainType
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsTransactionOneOf2Details:
      type: object
      properties:
        to:
          type: string
          description: The Tron contract address to interact with
        data:
          type: string
          description: The calldata for the Tron smart contract call
        value:
          type: string
          format: int64
          description: The amount of TRX in sun to send with the transaction
        ownerAddress:
          type: string
          description: The Tron address of the transaction sender
        memo:
          type: string
          description: Optional memo attached to the Tron transaction
      required:
        - to
        - data
        - value
        - ownerAddress
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsTransactionOneOf2Details
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsTransaction2:
      type: object
      properties:
        chainType:
          $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsTransactionOneOf2ChainType
          description: The blockchain type for Tron Virtual Machine
        details:
          $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsTransactionOneOf2Details
      required:
        - chainType
        - details
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsTransaction2
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsTransaction:
      oneOf:
        - $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsTransaction0
        - $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsTransaction1
        - $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsTransaction2
      description: >-
        The transaction details to execute on the origin chain to initiate the
        cross-chain swap
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsTransaction
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsIssuesAllowanceSpender:
      oneOf:
        - type: string
        - type: string
        - type: string
        - type: string
      description: The address to set the allowance on
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsIssuesAllowanceSpender
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsIssuesAllowance:
      type: object
      properties:
        actual:
          type: string
          format: int64
          description: The `originAddress`'s current allowance of the `spender`
        spender:
          $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsIssuesAllowanceSpender
          description: The address to set the allowance on
      required:
        - actual
        - spender
      description: >-
        The allowances that the `originAddress` must set in order to execute the
        swap successfully. Null if no allowance is required
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsIssuesAllowance
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsIssuesBalanceToken:
      oneOf:
        - type: string
        - type: string
        - type: string
        - type: string
      description: The contract address of the `sellToken`
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsIssuesBalanceToken
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsIssuesBalance:
      type: object
      properties:
        token:
          $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsIssuesBalanceToken
          description: The contract address of the `sellToken`
        actual:
          type: string
          format: int64
          description: The current balance of `sellToken` in the `originAddress` address
        expected:
          type: string
          format: int64
          description: >-
            The balance of `sellToken` required for the swap to execute
            successfully
      required:
        - token
        - actual
        - expected
      description: >-
        The balance of `sellToken` that the `originAddress` must hold. Null if
        the `originAddress` has sufficient balance
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsIssuesBalance
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsIssues:
      type: object
      properties:
        allowance:
          oneOf:
            - $ref: >-
                #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsIssuesAllowance
            - type: 'null'
          description: >-
            The allowances that the `originAddress` must set in order to execute
            the swap successfully. Null if no allowance is required
        balance:
          oneOf:
            - $ref: >-
                #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsIssuesBalance
            - type: 'null'
          description: >-
            The balance of `sellToken` that the `originAddress` must hold. Null
            if the `originAddress` has sufficient balance
        simulationIncomplete:
          type: boolean
          description: >-
            This is set to `true` when 0x cannot validate the transaction. This
            happens when the `originAddress` has an insufficient balance of
            `sellToken` and 0x is unable to perform enhanced quote validation
            with such low balance. Note that this does not necessarily mean that
            the trade will revert
      required:
        - allowance
        - balance
        - simulationIncomplete
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsIssues
    CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItems:
      type: object
      properties:
        sellAmount:
          type: string
          format: int64
          description: >-
            The amount of sellToken (in sellToken base units) required on the
            origin chain
        buyAmount:
          type: string
          format: int64
          description: >-
            The estimated amount of `buyToken` (in `buyToken`'s base units) to
            be received on the destination chain
        minBuyAmount:
          type: string
          format: int64
          description: >-
            The minimum amount of buyToken guaranteed across the entire
            cross-chain quote. This price is influenced by the `slippageBps`
            parameter
        fees:
          $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsFees
          description: >-
            All fees associated with this cross-chain quote, including
            integrator fees, 0x protocol fees, and bridge native fees
        gasCosts:
          $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsGasCosts
          description: >-
            Estimated gas costs for executing the transaction on the origin
            chain, formatted by chain type
        steps:
          type: array
          items:
            $ref: >-
              #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsStepsItems
          description: >-
            Sequential steps required to complete the cross-chain swap,
            including wrapping, swaps, and bridge operations
        transaction:
          $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsTransaction
          description: >-
            The transaction details to execute on the origin chain to initiate
            the cross-chain swap
        estimatedTimeSeconds:
          type:
            - number
            - 'null'
          format: double
          description: >-
            Estimated total time in seconds for the cross-chain swap to
            complete, including bridge confirmation time
        issues:
          $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItemsIssues
        quoteId:
          type: string
          description: The unique ID for this cross-chain quote
      required:
        - sellAmount
        - buyAmount
        - minBuyAmount
        - fees
        - gasCosts
        - steps
        - transaction
        - estimatedTimeSeconds
        - issues
        - quoteId
      title: >-
        CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItems
    CrossChainCrossChainGetQuotesResponse2000:
      type: object
      properties:
        liquidityAvailable:
          type: boolean
          description: >-
            Whether sufficient liquidity exists across bridges and DEXs to
            execute the cross-chain swap
        allowanceTarget:
          oneOf:
            - $ref: >-
                #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0AllowanceTarget
            - type: 'null'
          description: The contract address to set the allowance on, if necessary
        originChainId:
          type: number
          format: double
          description: The numeric chain ID of the origin chain where the swap begins
        originChain:
          type: string
          description: The name of the origin chain where the swap begins
        destinationChainId:
          type: number
          format: double
          description: >-
            The numeric chain ID of the destination chain where tokens will be
            received
        destinationChain:
          type: string
          description: The name of the destination chain where tokens will be received
        sellToken:
          $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0SellToken
          description: The contract address of the token being sold on the origin chain
        buyToken:
          $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0BuyToken
          description: >-
            The contract address of the token being bought on the destination
            chain
        issues:
          $ref: >-
            #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0Issues
        zid:
          type: string
          description: The unique ZeroEx identifier of the request
        quotes:
          type: array
          items:
            $ref: >-
              #/components/schemas/CrossChainQuotesGetResponsesContentApplicationJsonSchemaOneOf0QuotesItems
          description: >-
            Array of available cross-chain quotes, each representing a different
            combination of bridges and DEXs
      required:
        - liquidityAvailable
        - allowanceTarget
        - originChainId
        - originChain
        - destinationChainId
        - destinationChain
        - sellToken
        - buyToken
        - issues
        - zid
        - quotes
      title: CrossChainCrossChainGetQuotesResponse2000
    CrossChainCrossChainGetQuotesResponse2001:
      type: object
      properties:
        liquidityAvailable:
          type: boolean
          description: >-
            Whether sufficient liquidity exists across bridges and DEXs to
            execute the cross-chain swap
        zid:
          type: string
          description: The unique ZeroEx identifier of the request
      required:
        - liquidityAvailable
        - zid
      title: CrossChainCrossChainGetQuotesResponse2001
    Cross-Chain_crossChain::getQuotes_Response_200:
      oneOf:
        - $ref: '#/components/schemas/CrossChainCrossChainGetQuotesResponse2000'
        - $ref: '#/components/schemas/CrossChainCrossChainGetQuotesResponse2001'
      title: Cross-Chain_crossChain::getQuotes_Response_200
    InputInvalidName:
      type: string
      enum:
        - INPUT_INVALID
      title: InputInvalidName
    InputInvalidDataDetailsItems:
      type: object
      properties:
        field:
          type: string
          description: The input field name
        reason:
          type: string
          description: The validation failure reason
      required:
        - field
        - reason
      title: InputInvalidDataDetailsItems
    InputInvalidData:
      type: object
      properties:
        zid:
          type: string
          description: The unique ZeroEx identifier of the request
        details:
          type: array
          items:
            $ref: '#/components/schemas/InputInvalidDataDetailsItems'
          description: The list of invalid inputs
      required:
        - zid
        - details
      title: InputInvalidData
    INPUT_INVALID:
      type: object
      properties:
        name:
          $ref: '#/components/schemas/InputInvalidName'
        message:
          type: string
        data:
          $ref: '#/components/schemas/InputInvalidData'
      required:
        - name
        - message
        - data
      title: INPUT_INVALID
    CrossChain::getQuotesRequestBadRequestError:
      oneOf:
        - $ref: '#/components/schemas/INPUT_INVALID'
      title: CrossChain::getQuotesRequestBadRequestError
    InternalServerErrorName:
      type: string
      enum:
        - INTERNAL_SERVER_ERROR
      title: InternalServerErrorName
    InternalServerErrorData:
      type: object
      properties:
        zid:
          type: string
          description: The unique ZeroEx identifier of the request
      required:
        - zid
      title: InternalServerErrorData
    INTERNAL_SERVER_ERROR:
      type: object
      properties:
        name:
          $ref: '#/components/schemas/InternalServerErrorName'
        message:
          type: string
        data:
          $ref: '#/components/schemas/InternalServerErrorData'
      required:
        - name
        - message
        - data
      title: INTERNAL_SERVER_ERROR
    UncategorizedName:
      type: string
      enum:
        - UNCATEGORIZED
      title: UncategorizedName
    UncategorizedData:
      type: object
      properties:
        zid:
          type: string
          description: The unique ZeroEx identifier of the request
      required:
        - zid
      title: UncategorizedData
    UNCATEGORIZED:
      type: object
      properties:
        name:
          $ref: '#/components/schemas/UncategorizedName'
        message:
          type: string
        data:
          $ref: '#/components/schemas/UncategorizedData'
      required:
        - name
        - message
        - data
      title: UNCATEGORIZED
    CrossChain::getQuotesRequestInternalServerError:
      oneOf:
        - $ref: '#/components/schemas/INTERNAL_SERVER_ERROR'
        - $ref: '#/components/schemas/UNCATEGORIZED'
      title: CrossChain::getQuotesRequestInternalServerError

```

## SDK Code Examples

```python Cross-Chain_crossChain::getQuotes_example
import requests

url = "https://api.0x.org/cross-chain/quotes"

querystring = {"originChain":"8453","destinationChain":"42161","sellToken":"0xcbb7c0000ab88b473b1f5afd9ef808440eed33bf","buyToken":"0xaf88d065e77c8cc2239327c5edb3a432268e5831","sellAmount":"2570","originAddress":"0x56EB0aD2dC746540Fab5C02478B31e2AA9DdC38C","destinationAddress":"0x56EB0aD2dC746540Fab5C02478B31e2AA9DdC38C","sortQuotesBy":"speed"}

headers = {"0x-api-key": "0x-api-key"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Cross-Chain_crossChain::getQuotes_example
const url = 'https://api.0x.org/cross-chain/quotes?originChain=8453&destinationChain=42161&sellToken=0xcbb7c0000ab88b473b1f5afd9ef808440eed33bf&buyToken=0xaf88d065e77c8cc2239327c5edb3a432268e5831&sellAmount=2570&originAddress=0x56EB0aD2dC746540Fab5C02478B31e2AA9DdC38C&destinationAddress=0x56EB0aD2dC746540Fab5C02478B31e2AA9DdC38C&sortQuotesBy=speed';
const options = {method: 'GET', headers: {'0x-api-key': '0x-api-key'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Cross-Chain_crossChain::getQuotes_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.0x.org/cross-chain/quotes?originChain=8453&destinationChain=42161&sellToken=0xcbb7c0000ab88b473b1f5afd9ef808440eed33bf&buyToken=0xaf88d065e77c8cc2239327c5edb3a432268e5831&sellAmount=2570&originAddress=0x56EB0aD2dC746540Fab5C02478B31e2AA9DdC38C&destinationAddress=0x56EB0aD2dC746540Fab5C02478B31e2AA9DdC38C&sortQuotesBy=speed"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("0x-api-key", "0x-api-key")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Cross-Chain_crossChain::getQuotes_example
require 'uri'
require 'net/http'

url = URI("https://api.0x.org/cross-chain/quotes?originChain=8453&destinationChain=42161&sellToken=0xcbb7c0000ab88b473b1f5afd9ef808440eed33bf&buyToken=0xaf88d065e77c8cc2239327c5edb3a432268e5831&sellAmount=2570&originAddress=0x56EB0aD2dC746540Fab5C02478B31e2AA9DdC38C&destinationAddress=0x56EB0aD2dC746540Fab5C02478B31e2AA9DdC38C&sortQuotesBy=speed")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["0x-api-key"] = '0x-api-key'

response = http.request(request)
puts response.read_body
```

```java Cross-Chain_crossChain::getQuotes_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.0x.org/cross-chain/quotes?originChain=8453&destinationChain=42161&sellToken=0xcbb7c0000ab88b473b1f5afd9ef808440eed33bf&buyToken=0xaf88d065e77c8cc2239327c5edb3a432268e5831&sellAmount=2570&originAddress=0x56EB0aD2dC746540Fab5C02478B31e2AA9DdC38C&destinationAddress=0x56EB0aD2dC746540Fab5C02478B31e2AA9DdC38C&sortQuotesBy=speed")
  .header("0x-api-key", "0x-api-key")
  .asString();
```

```php Cross-Chain_crossChain::getQuotes_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.0x.org/cross-chain/quotes?originChain=8453&destinationChain=42161&sellToken=0xcbb7c0000ab88b473b1f5afd9ef808440eed33bf&buyToken=0xaf88d065e77c8cc2239327c5edb3a432268e5831&sellAmount=2570&originAddress=0x56EB0aD2dC746540Fab5C02478B31e2AA9DdC38C&destinationAddress=0x56EB0aD2dC746540Fab5C02478B31e2AA9DdC38C&sortQuotesBy=speed', [
  'headers' => [
    '0x-api-key' => '0x-api-key',
  ],
]);

echo $response->getBody();
```

```csharp Cross-Chain_crossChain::getQuotes_example
using RestSharp;

var client = new RestClient("https://api.0x.org/cross-chain/quotes?originChain=8453&destinationChain=42161&sellToken=0xcbb7c0000ab88b473b1f5afd9ef808440eed33bf&buyToken=0xaf88d065e77c8cc2239327c5edb3a432268e5831&sellAmount=2570&originAddress=0x56EB0aD2dC746540Fab5C02478B31e2AA9DdC38C&destinationAddress=0x56EB0aD2dC746540Fab5C02478B31e2AA9DdC38C&sortQuotesBy=speed");
var request = new RestRequest(Method.GET);
request.AddHeader("0x-api-key", "0x-api-key");
IRestResponse response = client.Execute(request);
```

```swift Cross-Chain_crossChain::getQuotes_example
import Foundation

let headers = ["0x-api-key": "0x-api-key"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.0x.org/cross-chain/quotes?originChain=8453&destinationChain=42161&sellToken=0xcbb7c0000ab88b473b1f5afd9ef808440eed33bf&buyToken=0xaf88d065e77c8cc2239327c5edb3a432268e5831&sellAmount=2570&originAddress=0x56EB0aD2dC746540Fab5C02478B31e2AA9DdC38C&destinationAddress=0x56EB0aD2dC746540Fab5C02478B31e2AA9DdC38C&sortQuotesBy=speed")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```